// アカウント未発見エラー
export class AccountNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AccountNotFoundError';
  }
}
// ディーラーアカウント未存在エラー
export class DealerAccountNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'DealerAccountNotFoundError';
  }
}
// 管理者ユーザ未存在エラー
export class AdminUserNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AdminUserNotFoundError';
  }
}
// アカウントロックエラー
export class AccountLockedError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AccountLockedError';
  }
}
